Skip to main content
PATCH
/
projects
/
{projectId}
Update a project
curl --request PATCH \
  --url {schemes}://api.upsun.com/projects/{projectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "attributes": {},
  "title": "<string>",
  "description": "<string>",
  "default_branch": "<string>",
  "timezone": "<string>",
  "region": "<string>",
  "default_domain": "<string>"
}
'
{
  "status": "<string>",
  "code": 123
}

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required

Body

application/json
attributes
Arbitrary attributes · object

Arbitrary attributes attached to this resource

title
string

The title of the project

description
string

The description of the project

default_branch
string | null

The default branch of the project

timezone
string

Timezone of the project

region
string

The region of the project

default_domain
string | null

The default domain of the project

Response

default - application/json
status
string
required

The status text of the response

code
integer
required

The status code of the response